#pragma once

#include "interfaces/ITextureHelper.hpp"
#include "elements/Texture.hpp"

namespace TSE::OpenGL
{
    class TextureHelperOpenGL : public ITextureHelper
    {
    public:
        void Bind(const Texture* tex) override;
        void UnBind(const Texture* tex) override;
        void Apply(Texture* tex) override;
        void Regist(Texture* tex) override;
        void PlatromDestroy(Texture* tex) override;
    };
} // namespace TSE::OpenGL
